
<?php

/**
 * The looping template.
 *
 * @package WordPress
 * @subpackage Deerawan Cloudy
 * @since Deerawan Cloudy 1.4.5
 */

 ?>

<?php if ( $wp_query->max_num_pages > 1 ) : ?>
	<div id="nav-above" class="navigation">
		<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'cloudy' ) ); ?></div>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'cloudy' ) ); ?></div>
	</div>
<?php endif; ?>


<?php if ( ! have_posts() ) : ?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="page-title"><?php _e( 'Not Found', 'cloudy' ); ?></h1>
		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'cloudy' ); ?></p>
			<?php get_search_form(); ?>
		</div>
	</div>
<?php endif; ?>

<?php while ( have_posts() ) : the_post(); ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <div class="entry-title-wrap">
                            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'cloudy' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title_attribute(); ?></a></h2>
                            <div class="entry-date"><?php the_time( get_option( 'date_format' ) ); ?></div>
                        </div>

	<?php if ( is_archive() || is_search() ) : ?>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div>
	<?php else : ?>
                        <div class="entry-content">
                            <?php if ( ( function_exists('has_post_thumbnail' ) )
                                     AND ( has_post_thumbnail() ) ) {
                                the_post_thumbnail( array( 200, 200 ),
                                    array( 'class' => 'alignleft' ) );
                                 }
                            ?>
                            <?php the_content( "Read more about ".get_the_title('', '', false)." &raquo;" );   ?>
                        </div>
                        <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'cloudy' ), 'after' => '</div>' ) ); ?>
	<?php endif; ?>

			<div class="entry-meta">
                            <div class="postinfo">

                                    <span><span class="postedby">&nbsp;</span><?php _e('Posted by', 'cloudy')?> <?php the_author() ?></span>
                                    <span class="info"><span class="categorylink">&nbsp;</span><?php the_category(', ') ?></span>
                                    <?php
                                            $tags_list = get_the_tag_list( '', ', ' );
                                            if ( $tags_list ):
                                    ?>
                                                <span class="info"><span class="categorylink">&nbsp;</span><?php the_tags(); ?></span>
                                    <?php endif; ?>
                                    <span class="info"><span class="commentlink">&nbsp;</span><?php comments_popup_link( __( 'No comments', 'cloudy' ), __( '1 Comment', 'cloudy' ), __( '% Comments', 'cloudy' ) );?></span>

                                    <?php edit_post_link( __( 'Edit', 'cloudy' ), ' | ', '' ); ?>
                            </div>
			</div>
		</div>

		<?php comments_template( '', true ); ?>


<?php endwhile; ?>

<?php if (  $wp_query->max_num_pages > 1 ) : ?>
    <div id="nav-below" class="navigation">
            <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'cloudy' ) ); ?></div>
            <div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'cloudy' ) ); ?></div>
    </div>
<?php endif; ?>
