<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Deerawan Cloudy
 * @since Deerawan Cloudy 1.0
 */

get_header(); ?>

<?php $options = get_option( 'cloudy' ); ?>

<div id="content">

    <?php if ( ! have_posts() ) : ?>
            <div id="post-0" class="post error404 not-found">
                    <h1 class="page-title"><?php _e( 'Not Found', 'cloudy' ); ?></h1>
                    <div class="entry-content">
                            <p><?php _e( 'Apologies, but no results were found.', 'cloudy' ); ?></p>
                            <?php get_search_form(); ?>
                    </div>
            </div>
    <?php endif; ?>

    <?php if ( have_posts() ) : while ( have_posts()) : the_post(); ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <div class="entry-title-wrap">
                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'cloudy' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title_attribute(); ?></a></h2>
                    <div class="entry-date"><?php the_time( get_option( 'date_format' ) ); ?></div>
                </div>


                <div class="entry-content">
                    <?php if ( ( function_exists( 'has_post_thumbnail' ) )
                             AND ( has_post_thumbnail() ) ) {
                        the_post_thumbnail( array( 200, 200 ),
                            array( 'class' => 'alignleft' ) );
                         }
                    ?>
                    <?php the_content( "Read more about ".get_the_title('', '', false)." &raquo;" );   ?>
                </div>
                <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'cloudy' ), 'after' => '</div>' ) ); ?>

                <div class="entry-meta">
                    <div class="postinfo">

                            <span><span class="postedby">&nbsp;</span><?php _e('Posted by', 'cloudy')?> <?php the_author() ?></span>
                            <span class="info"><span class="categorylink">&nbsp;</span><?php the_category(', ') ?></span>
                            <?php
                                    $tags_list = get_the_tag_list( '', ', ' );
                                    if ( $tags_list ):
                            ?>
                                        <span class="info"><span class="categorylink">&nbsp;</span><?php the_tags(); ?></span>
                            <?php endif; ?>
                            <span class="info"><span class="commentlink">&nbsp;</span><?php comments_popup_link( __( 'No comments', 'cloudy' ), __( '1 Comment', 'cloudy' ), __( '% Comments', 'cloudy' ) );?></span>

                            <?php edit_post_link( __( 'Edit', 'cloudy' ), ' | ', '' ); ?>
                    </div>
                </div>
                <?php echo stripslashes( $options['cl_ads_middle'] ); ?>
        </div>

        <div class="commentsblock">
            <?php comments_template(); ?>
        </div>

        <?php endwhile;  ?>
    <?php endif; ?>
</div>

<?php get_footer(); ?>